# ApiHdfsDisableHaArguments Data Model

Arguments used for the HDFS disable HA command.

Properties
name | data type | description
--- | --- | ---
activeName | string | Name of the the NameNode to be kept.
secondaryName | string | Name of the SecondaryNamenode to associate with the active NameNode.
startDependentServices | boolean | Whether to re-start dependent services. Defaults to true.
deployClientConfigs | boolean | Whether to re-deploy client configurations. Defaults to true.
disableQuorumStorage | boolean | Whether to disable Quorum-based Storage. Defaults to false. Available since API v2.

Example

    {
      "activeName" : "...",
      "secondaryName" : "...",
      "startDependentServices" : true,
      "deployClientConfigs" : true,
      "disableQuorumStorage" : true
    }